function Create(self)
	self.slipSound = CreateSoundContainer("Slip", "FoodFight.rte");
end
function Update(self)
	if not self.slip then
		self.RotAngle = 0;
		self.ToSettle = false;
		if self.Vel.Magnitude < 3 then
			local moCheck = SceneMan:GetMOIDPixel(self.Pos.X, self.Pos.Y - 1);
			if moCheck ~= rte.NoMOID then
				local actor = ToMOSRotating(MovableMan:GetMOFromID(moCheck)):GetRootParent();
				if moCheck ~= actor.ID and IsActor(actor) and ToActor(actor).Status == Actor.STABLE then
					local actor = ToActor(actor);
					actor.Vel = Vector(-actor.Vel.X, actor.Vel.Y * 0.5 - 5);
					local dir = -(actor.Vel.X + actor.FlipFactor)/math.abs(actor.Vel.X + actor.FlipFactor);
					actor.AngularVel = actor.Vel.X ~= 0 and dir * (10 + actor.Vel.Magnitude) or math.random(-10, 10);
					actor.Status = Actor.UNSTABLE;
					
					self.Vel = Vector(-actor.Vel.X * math.abs(actor.AngularVel), self.Vel.Y * 0.5 - 5);
					self.slip = true;
					self.slipSound:Play(self.Pos);
				end
			end
		end
	end
end