function Create(self)
	self.explodeTimer = Timer();
	self.explodeTime = math.random(math.ceil(self.Vel.Magnitude));
	self.velFactor = self.Vel.Magnitude > 1 and TimerMan.DeltaTimeMS/self.Vel.Magnitude or 1;
end
function Update(self)
	self.ToSettle = false;
	self.ToDelete = false;
	self.explodeTime = self.explodeTime + self.Vel.Magnitude * self.velFactor;
	if self.explodeTimer:IsPastSimMS(self.explodeTime) then
		local explosion = CreateAEmitter("FoodFight.rte/Popcorn");
		explosion.Frame = math.random(explosion.FrameCount) - 1;
		explosion.Pos = self.Pos;
		explosion.Vel = self.Vel;
		explosion.Team = self.Team;
		MovableMan:AddParticle(explosion);
		self.ToDelete = true;
	end
end