function Create(self)
	self.origMass = self.Mass;
	self.lastVel = self.Vel.Magnitude;
	
	self.clusterCount = 5;
	self.clusterSpread = 0.5;
end
function Update(self)
	if self.ID == self.RootID then
		if self.thrown == false then
			self.AngularVel = self.AngularVel - self.Vel.Magnitude * self.FlipFactor * math.random();
			self.thrown = true;
		end
		self.Mass = self.origMass + (math.sqrt(self.lastVel) * self.origMass);
	else
		self.thrown = false;
		self.Mass = self.origMass;
	end
	self.lastVel = (self.Vel.Magnitude + self.lastVel) * 0.5;
end
function Destroy(self)
	for i = 1, self.clusterCount do
		local cluster = CreateMOSRotating(self.PresetName);
		cluster.Vel = Vector(0, math.random(-20, -10)):RadRotate(self.clusterSpread * RangeRand(-1, 1));
		cluster.Pos = Vector(self.Pos.X, self.Pos.Y) + Vector(cluster.Vel.X, cluster.Vel.Y):SetMagnitude(self.Radius * 0.6);
		cluster.AngularVel = math.random(-10, 10);
		MovableMan:AddParticle(cluster);
	end
end