function Create(self)
	self.particleCount = 7;
	self.explosionDelay = math.random(500, 1000)/(1 + self.Vel.Magnitude * TimerMan.DeltaTimeSecs);
	self.AngularVel = math.random(-5, 5);
	
	self.soundExplosion = CreateSoundContainer("Grape Explosion", "FoodFight.rte");
end
function Update(self)
	self.ToSettle = false;
	if self.Age > self.explosionDelay then
		local randAngle = math.random() * math.pi;
		for i = 1, self.particleCount do
			local fragment = CreateMOPixel("Grape Fragment");
			fragment.Pos = self.Pos;
			fragment.Vel = Vector(50, 0):RadRotate(randAngle + math.pi * 2 * i/self.particleCount);
			MovableMan:AddParticle(fragment);
			
			local blast = CreateMOSParticle("Side Thruster Blast Ball 1");
			blast.Pos = self.Pos;
			blast.Vel = Vector(5 * RangeRand(0.5, 1.0), 0):RadRotate(randAngle + math.pi/self.particleCount + math.pi * 2 * i/self.particleCount);
			blast.Lifetime = blast.Lifetime * RangeRand(0.5, 1.0);
			MovableMan:AddParticle(blast);
		end
		local smoke = CreateMOSParticle("Main Thruster Blast Ball 1 Glow");
		smoke.Pos = self.Pos;
		MovableMan:AddParticle(smoke);

		--AudioMan:PlaySound("Base.rte/Sounds/Explosions/Explode".. math.random(3) ..".wav", self.Pos);
		self.soundExplosion:Play(self.Pos)
		self.ToDelete = true;
	end
end