function Update(self)
	if self.TravelImpulse.Magnitude > self.Mass then	--Impact
		local count = math.floor(self.TravelImpulse.Magnitude/self.Mass + 0.5);
		local mass = self.Mass/count;
		local sharpness = self.Sharpness/math.sqrt(self.Radius + self.Vel.Magnitude);
		for i = 1, count do
			local part = CreateMOPixel("Food Fight Damage Particle");
			part.Pos = self.Pos;
			part.Mass = mass;
			part.Sharpness = sharpness * RangeRand(0.66, 1.00);
			part.Vel = self.TravelImpulse:RadRotate(math.pi * 2 * i/count):SetMagnitude(self.Radius/rte.PxTravelledPerFrame + self.Vel.Magnitude);
			part.Team = self.Team;
			part.IgnoresTeamHits = true;
			MovableMan:AddParticle(part);
		end
	end
end