function Create(self)
	self.Frame = math.random(0, self.FrameCount - 1);
	self.origMass = self.Mass;
	self.lastMass = self.Mass;
	if self.ID == self.RootID then
		self.Mass = self.origMass * math.sqrt(1 + self.Vel.Magnitude);
	end
	self.lastVel = Vector(self.Vel.X, self.Vel.Y)
	self.part = CreateMOPixel("Food Fight Damage Particle");
end
function Update(self)
	if self.ID == self.RootID then
		self.Mass = (self.lastMass + self.origMass * math.sqrt(1 + self.lastVel.Magnitude)) / 2;
	else
		self.Mass = self.origMass;
	end
	self.lastMass = self.Mass;
	self.lastVel = Vector(self.Vel.X, self.Vel.Y);
end
function Destroy(self)
	self.part.Pos = Vector(self.Pos.X, self.Pos.Y);
	self.part.Vel = Vector(self.lastVel.X, self.lastVel.Y);
	self.part.Mass = self.origMass;
	self.part.Sharpness = self.Sharpness;
	MovableMan:AddParticle(self.part);
end