function Create(self)
	self.targetPos = Vector(self.Pos.X, self.Pos.Y);

	self.speed = 1;
	self.updateTimer = Timer();
	self.updateDelay = math.random(250, 500);
end
function Update(self)
	if self.targetPos then
		self.Vel = self.Vel + SceneMan:ShortestDistance(self.Pos, self.targetPos, SceneMan.SceneWrapsX):SetMagnitude(self.speed):DegRotate(math.random(-10, 10));
	else
		self.Vel = self.Vel + Vector(self.speed, 0):DegRotate(math.random(360));
	end
	if self.updateTimer:IsPastSimMS(self.updateDelay) then
		self.updateTimer:Reset();
		if self.targetPos then
			if not FlyFindTarget(self, self.targetPos) then
				self.targetPos = nil;
				self.updateDelay = math.random(250, 500);
			end
		elseif FlyFindTarget(self, self.Pos + self.Vel) then
			self.updateDelay = 2500;
		end
	end
end
function FlyFindTarget(self, pos)
	local foundPos = false;
	local terrCheck = SceneMan:GetTerrMatter(pos.X, pos.Y);
	if string.find(SceneMan:GetMaterialFromID(terrCheck).PresetName, "Flesh") then
		self.targetPos = checkPos;
		foundPos = true;
	else
		local moCheck = SceneMan:GetMOIDPixel(pos.X, pos.Y);
		if moCheck ~= rte.NoMOID and string.find(MovableMan:GetMOFromID(moCheck).Material.PresetName, "Flesh") then
			self.targetPos = checkPos;
			foundPos = true;
		end
	end
	return posFound;
end